stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Types.Image

Synopsis

- newtype ImageOpts = ImageOpts {
  - imgDockers :: [ImageDockerOpts]
  }
- data ImageDockerOpts = ImageDockerOpts {
  - imgDockerBase :: !(Maybe String)
  - imgDockerEntrypoints :: !(Maybe [String])
  - imgDockerAdd :: !(Map FilePath (Path Abs Dir))
  - imgDockerImageName :: !(Maybe String)
  - imgDockerExecutables :: !(Maybe [Path Rel File])
  }
- newtype ImageOptsMonoid = ImageOptsMonoid {
  - imgMonoidDockers :: [ImageDockerOpts]
  }
- imgArgName :: Text
- imgDockerOldArgName :: Text
- imgDockersArgName :: Text
- imgDockerBaseArgName :: Text
- imgDockerAddArgName :: Text
- imgDockerEntrypointsArgName :: Text
- imgDockerImageNameArgName :: Text
- imgDockerExecutablesArgName :: Text

# Documentation

newtype ImageOpts #

Image options. Currently only Docker image options.

Constructors

ImageOpts |
Fields imgDockers :: [ImageDockerOpts] One or more stanzas for docker image settings.

Instances

Show ImageOpts # |
Methods showsPrec :: Int -> ImageOpts -> ShowS # show :: ImageOpts -> String # showList :: [ImageOpts] -> ShowS #

data ImageDockerOpts #

Constructors

ImageDockerOpts |
Fields imgDockerBase :: !(Maybe String) Maybe have a docker base image name. (Although we will not be able to create any Docker images without this.) imgDockerEntrypoints :: !(Maybe [String]) Maybe have a specific ENTRYPOINT list that will be used to create images. imgDockerAdd :: !(Map FilePath (Path Abs Dir)) Maybe have some static project content to include in a specific directory in all the images. imgDockerImageName :: !(Maybe String) Maybe have a name for the image we are creating imgDockerExecutables :: !(Maybe [Path Rel File]) Filenames of executables to add (if Nothing, add them all)

Instances

Show ImageDockerOpts # |
Methods showsPrec :: Int -> ImageDockerOpts -> ShowS # show :: ImageDockerOpts -> String # showList :: [ImageDockerOpts] -> ShowS #
FromJSON (WithJSONWarnings ImageDockerOpts) # |
Methods parseJSON :: Value -> Parser (WithJSONWarnings ImageDockerOpts) # parseJSONList :: Value -> Parser [WithJSONWarnings ImageDockerOpts] #

newtype ImageOptsMonoid #

Constructors

ImageOptsMonoid |
Fields imgMonoidDockers :: [ImageDockerOpts]

Instances

Show ImageOptsMonoid # |
Methods showsPrec :: Int -> ImageOptsMonoid -> ShowS # show :: ImageOptsMonoid -> String # showList :: [ImageOptsMonoid] -> ShowS #
Generic ImageOptsMonoid # |
Associated Types type Rep ImageOptsMonoid :: * -> * # Methods from :: ImageOptsMonoid -> Rep ImageOptsMonoid x # to :: Rep ImageOptsMonoid x -> ImageOptsMonoid #
Monoid ImageOptsMonoid # |
Methods mempty :: ImageOptsMonoid # mappend :: ImageOptsMonoid -> ImageOptsMonoid -> ImageOptsMonoid # mconcat :: [ImageOptsMonoid] -> ImageOptsMonoid #
FromJSON (WithJSONWarnings ImageOptsMonoid) # |
Methods parseJSON :: Value -> Parser (WithJSONWarnings ImageOptsMonoid) # parseJSONList :: Value -> Parser [WithJSONWarnings ImageOptsMonoid] #
type Rep ImageOptsMonoid # |
type Rep ImageOptsMonoid = D1 (MetaData "ImageOptsMonoid" "Stack.Types.Image" "stack-1.4.0-5VbagGyw9hyAgBJq8WQvrq" True) (C1 (MetaCons "ImageOptsMonoid" PrefixI True) (S1 (MetaSel (Just Symbol "imgMonoidDockers") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 [ImageDockerOpts])))

imgArgName :: Text #

imgDockerOldArgName :: Text #

imgDockersArgName :: Text #

imgDockerBaseArgName :: Text #

imgDockerAddArgName :: Text #

imgDockerEntrypointsArgName :: Text #

imgDockerImageNameArgName :: Text #

imgDockerExecutablesArgName :: Text #